using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void RadToolTipManager1_AjaxUpdate(object sender, Telerik.Web.UI.ToolTipUpdateEventArgs e)
    {
        Control picker = Page.LoadControl("~/ColorPickerControl.ascx");
        picker.ID = Guid.NewGuid().ToString();
        e.UpdatePanel.ContentTemplateContainer.Controls.Add(picker);
    }

    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item.ItemType == GridItemType.Item || e.Item.ItemType == GridItemType.AlternatingItem)
        {
            Control label = e.Item.FindControl("CategoryNameLabel");
            if (label != null)
            {
                RadToolTipManager1.TargetControls.Add(label.ClientID, true);
            }
        }
    }
}
